<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>CCodeRefactoring: WriteJSONReport.h File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
  $(document).ready(function() { init_search(); });
/* @license-end */
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">CCodeRefactoring
   &#160;<span id="projectnumber">First Alpha</span>
   </div>
   <div id="projectbrief">Create Simulation Executable From Existing Code</div>
  </td>
   <td>        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
</td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.17 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('_write_j_s_o_n_report_8h.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#nested-classes">Classes</a> &#124;
<a href="#typedef-members">Typedefs</a> &#124;
<a href="#enum-members">Enumerations</a> &#124;
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle">
<div class="title">WriteJSONReport.h File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock"><code>#include &lt;nlohmann/json.hpp&gt;</code><br />
<code>#include &lt;sstream&gt;</code><br />
<code>#include &lt;iostream&gt;</code><br />
<code>#include &lt;iomanip&gt;</code><br />
<code>#include &lt;fstream&gt;</code><br />
<code>#include &lt;string&gt;</code><br />
</div><div class="textblock"><div class="dynheader">
Include dependency graph for WriteJSONReport.h:</div>
<div class="dyncontent">
<div class="center"><img src="_write_j_s_o_n_report_8h__incl.png" border="0" usemap="#_write_j_s_o_n_report_8h" alt=""/></div>
<map name="_write_j_s_o_n_report_8h" id="_write_j_s_o_n_report_8h">
<area shape="rect" title=" " alt="" coords="293,5,437,32"/>
<area shape="rect" title=" " alt="" coords="5,80,152,107"/>
<area shape="rect" title=" " alt="" coords="176,80,251,107"/>
<area shape="rect" title=" " alt="" coords="275,80,355,107"/>
<area shape="rect" title=" " alt="" coords="379,80,453,107"/>
<area shape="rect" title=" " alt="" coords="478,80,551,107"/>
<area shape="rect" title=" " alt="" coords="576,80,635,107"/>
</map>
</div>
</div>
<p><a href="_write_j_s_o_n_report_8h_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="nested-classes"></a>
Classes</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_code_pos_for_j_s_o_n.html">CodePosForJSON</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_def_type.html">DefType</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_decl_type.html">DeclType</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structif_type.html">ifType</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_decl_ref_expr_type.html">DeclRefExprType</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_process_body_type.html">ProcessBodyType</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="typedef-members"></a>
Typedefs</h2></td></tr>
<tr class="memitem:ab701e3ac61a85b337ec5c1abaad6742d"><td class="memItemLeft" align="right" valign="top">using&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_write_j_s_o_n_report_8h.html#ab701e3ac61a85b337ec5c1abaad6742d">json</a> = nlohmann::json</td></tr>
<tr class="separator:ab701e3ac61a85b337ec5c1abaad6742d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a578f6f5c8934ca4575234e5d9dafa344"><td class="memItemLeft" align="right" valign="top">typedef struct <a class="el" href="struct_code_pos_for_j_s_o_n.html">CodePosForJSON</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_write_j_s_o_n_report_8h.html#a578f6f5c8934ca4575234e5d9dafa344">CodePosForJSON</a></td></tr>
<tr class="separator:a578f6f5c8934ca4575234e5d9dafa344"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a805f4fda00c9139f5be16ff50b2d724e"><td class="memItemLeft" align="right" valign="top">typedef struct <a class="el" href="struct_def_type.html">DefType</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_write_j_s_o_n_report_8h.html#a805f4fda00c9139f5be16ff50b2d724e">DefType</a></td></tr>
<tr class="separator:a805f4fda00c9139f5be16ff50b2d724e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7f14070bb43391a2f7ef8ef77d4a480d"><td class="memItemLeft" align="right" valign="top">typedef struct <a class="el" href="struct_decl_type.html">DeclType</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_write_j_s_o_n_report_8h.html#a7f14070bb43391a2f7ef8ef77d4a480d">DeclType</a></td></tr>
<tr class="separator:a7f14070bb43391a2f7ef8ef77d4a480d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa782f61f5ba16d9d48a90d0b4fd1d84f"><td class="memItemLeft" align="right" valign="top">typedef struct <a class="el" href="structif_type.html">ifType</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_write_j_s_o_n_report_8h.html#aa782f61f5ba16d9d48a90d0b4fd1d84f">ifType</a></td></tr>
<tr class="separator:aa782f61f5ba16d9d48a90d0b4fd1d84f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8358650885338051ed7d0f91a47dfebe"><td class="memItemLeft" align="right" valign="top">typedef struct <a class="el" href="struct_decl_ref_expr_type.html">DeclRefExprType</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_write_j_s_o_n_report_8h.html#a8358650885338051ed7d0f91a47dfebe">DeclRefExprType</a></td></tr>
<tr class="separator:a8358650885338051ed7d0f91a47dfebe"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a140bb9f5d5770e5fe62c922c445ec681"><td class="memItemLeft" align="right" valign="top">typedef struct <a class="el" href="struct_process_body_type.html">ProcessBodyType</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_write_j_s_o_n_report_8h.html#a140bb9f5d5770e5fe62c922c445ec681">ProcessBodyType</a></td></tr>
<tr class="separator:a140bb9f5d5770e5fe62c922c445ec681"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="enum-members"></a>
Enumerations</h2></td></tr>
<tr class="memitem:a14ca0b0420e32b2a603589b79d680a9e"><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_write_j_s_o_n_report_8h.html#a14ca0b0420e32b2a603589b79d680a9e">nodeEnum</a> { <br />
&#160;&#160;<a class="el" href="_write_j_s_o_n_report_8h.html#a14ca0b0420e32b2a603589b79d680a9eaff9a852b2dba6bd91304afca49bd0e6d">ifnode_en</a>, 
<a class="el" href="_write_j_s_o_n_report_8h.html#a14ca0b0420e32b2a603589b79d680a9eaa7adf12cfa8d56da7e0e4799081be1c5">assign_en</a>, 
<a class="el" href="_write_j_s_o_n_report_8h.html#a14ca0b0420e32b2a603589b79d680a9eaf7d792de8835d414cf25dad6b7d17785">callExpr_en</a>, 
<a class="el" href="_write_j_s_o_n_report_8h.html#a14ca0b0420e32b2a603589b79d680a9ead7eb26d8b572ff86a46e37e384e74a1c">memberExpr_en</a>, 
<br />
&#160;&#160;<a class="el" href="_write_j_s_o_n_report_8h.html#a14ca0b0420e32b2a603589b79d680a9ea9de7b7d499ffc508d52d618dcad3bad2">DeclRefExpr_en</a>, 
<a class="el" href="_write_j_s_o_n_report_8h.html#a14ca0b0420e32b2a603589b79d680a9eab816db962d5dea0a9c311c523f644907">ProcBodyStmt_en</a>
<br />
 }</td></tr>
<tr class="separator:a14ca0b0420e32b2a603589b79d680a9e"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:a25a596703c6d750e6c755452b5379035"><td class="memItemLeft" align="right" valign="top"><a class="el" href="_write_j_s_o_n_report_8h.html#ab701e3ac61a85b337ec5c1abaad6742d">json</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_write_j_s_o_n_report_8h.html#a25a596703c6d750e6c755452b5379035">NodeTypeJson</a> (<a class="el" href="_types_for_analysis_8h.html#a3d39e178a2c4326b4000a3f89b3465df">SupportedNodes</a> Node)</td></tr>
<tr class="separator:a25a596703c6d750e6c755452b5379035"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a826c9420535604cd8472cc685882c652"><td class="memItemLeft" align="right" valign="top"><a class="el" href="struct_code_pos_for_j_s_o_n.html">CodePosForJSON</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_write_j_s_o_n_report_8h.html#a826c9420535604cd8472cc685882c652">getCodePos</a> (<a class="el" href="struct_exp_eval.html">ExpEval</a> Loc)</td></tr>
<tr class="separator:a826c9420535604cd8472cc685882c652"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6e65eff4d06fae24ae7619ef38b2fe56"><td class="memItemLeft" align="right" valign="top">std::vector&lt; std::string &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_write_j_s_o_n_report_8h.html#a6e65eff4d06fae24ae7619ef38b2fe56">nodeName</a> (<a class="el" href="_write_j_s_o_n_report_8h.html#a14ca0b0420e32b2a603589b79d680a9e">nodeEnum</a> NodEn)</td></tr>
<tr class="separator:a6e65eff4d06fae24ae7619ef38b2fe56"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a647cdd13ce2d6ceee1dcdf922f24995d"><td class="memItemLeft" align="right" valign="top"><a class="el" href="_write_j_s_o_n_report_8h.html#a14ca0b0420e32b2a603589b79d680a9e">nodeEnum</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_write_j_s_o_n_report_8h.html#a647cdd13ce2d6ceee1dcdf922f24995d">readNod</a> (unsigned in)</td></tr>
<tr class="separator:a647cdd13ce2d6ceee1dcdf922f24995d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac26df4aaece78600ac0b30a83cb42d65"><td class="memItemLeft" align="right" valign="top">std::pair&lt; std::string, unsigned &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_write_j_s_o_n_report_8h.html#ac26df4aaece78600ac0b30a83cb42d65">NodeID</a> (unsigned nodeID)</td></tr>
<tr class="separator:ac26df4aaece78600ac0b30a83cb42d65"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aab530732eecca9f43a617d64c4c3d0e0"><td class="memItemLeft" align="right" valign="top"><a class="el" href="_write_j_s_o_n_report_8h.html#ab701e3ac61a85b337ec5c1abaad6742d">json</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_write_j_s_o_n_report_8h.html#aab530732eecca9f43a617d64c4c3d0e0">parseClangObject</a> (unsigned AllStmtVecPos)</td></tr>
<tr class="separator:aab530732eecca9f43a617d64c4c3d0e0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adb6b052dc44c162f6591f050b8d66167"><td class="memItemLeft" align="right" valign="top"><a class="el" href="_write_j_s_o_n_report_8h.html#ab701e3ac61a85b337ec5c1abaad6742d">json</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_write_j_s_o_n_report_8h.html#adb6b052dc44c162f6591f050b8d66167">ProcBodyJson</a> (unsigned AllStmtVecPos)</td></tr>
<tr class="separator:adb6b052dc44c162f6591f050b8d66167"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afc56c73556b4001ea7af1f719d2ba547"><td class="memItemLeft" align="right" valign="top"><a class="el" href="_write_j_s_o_n_report_8h.html#ab701e3ac61a85b337ec5c1abaad6742d">json</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_write_j_s_o_n_report_8h.html#afc56c73556b4001ea7af1f719d2ba547">ProcIfStmtJson</a> (unsigned AllStmtVecPos)</td></tr>
<tr class="separator:afc56c73556b4001ea7af1f719d2ba547"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a907ba809957fc3c38648bbe6f9e22f1e"><td class="memItemLeft" align="right" valign="top">std::vector&lt; <a class="el" href="struct_code_pos_for_j_s_o_n.html">CodePosForJSON</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_write_j_s_o_n_report_8h.html#a907ba809957fc3c38648bbe6f9e22f1e">getPositionForJSONReport</a> (<a class="el" href="struct_exp_eval_result.html">ExpEvalResult</a> ResultLocation)</td></tr>
<tr class="separator:a907ba809957fc3c38648bbe6f9e22f1e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6a5a8aca9b0238b827d509a77c2b2c17"><td class="memItemLeft" align="right" valign="top"><a class="el" href="_write_j_s_o_n_report_8h.html#ab701e3ac61a85b337ec5c1abaad6742d">json</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_write_j_s_o_n_report_8h.html#a6a5a8aca9b0238b827d509a77c2b2c17">getInnerLocation</a> (<a class="el" href="struct_code_pos_for_j_s_o_n.html">CodePosForJSON</a> Pos, bool getSourceText)</td></tr>
<tr class="separator:a6a5a8aca9b0238b827d509a77c2b2c17"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adbf8b3a1e6a42884de913afde687e182"><td class="memItemLeft" align="right" valign="top"><a class="el" href="_write_j_s_o_n_report_8h.html#ab701e3ac61a85b337ec5c1abaad6742d">json</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_write_j_s_o_n_report_8h.html#adbf8b3a1e6a42884de913afde687e182">storeCodeLocationToJson</a> (<a class="el" href="struct_exp_eval_result.html">ExpEvalResult</a> ResultLocation, <a class="el" href="struct_binary_op_properties.html">BinaryOpProperties</a> &amp;BinOpProp, bool getSourceText)</td></tr>
<tr class="separator:adbf8b3a1e6a42884de913afde687e182"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9774bba3c62d7717e3e5f8e69298556b"><td class="memItemLeft" align="right" valign="top"><a class="el" href="_write_j_s_o_n_report_8h.html#ab701e3ac61a85b337ec5c1abaad6742d">json</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_write_j_s_o_n_report_8h.html#a9774bba3c62d7717e3e5f8e69298556b">ProcAssignJson</a> (<a class="el" href="struct_sub_level_properties.html">SubLevelProperties</a> &amp;SubLevel)</td></tr>
<tr class="separator:a9774bba3c62d7717e3e5f8e69298556b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7572bea2b1c96cc88f855e6f00598998"><td class="memItemLeft" align="right" valign="top"><a class="el" href="_write_j_s_o_n_report_8h.html#ab701e3ac61a85b337ec5c1abaad6742d">json</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_write_j_s_o_n_report_8h.html#a7572bea2b1c96cc88f855e6f00598998">ProcDeclRefExprJson</a> (unsigned AllStmtVecPos)</td></tr>
<tr class="separator:a7572bea2b1c96cc88f855e6f00598998"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a47280cab4ae18c710e82140a367f51db"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_write_j_s_o_n_report_8h.html#a47280cab4ae18c710e82140a367f51db">init_json</a> (void)</td></tr>
<tr class="separator:a47280cab4ae18c710e82140a367f51db"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afd993b64702065cdc3126f11955dd841"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_write_j_s_o_n_report_8h.html#afd993b64702065cdc3126f11955dd841">writeJSONreport</a> (std::vector&lt; <a class="el" href="struct_binary_op_properties.html">BinaryOpProperties</a> &gt; &amp;AllBinOpProperties_vec)</td></tr>
<tr class="separator:afd993b64702065cdc3126f11955dd841"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa694b15a475114e663a17b6a42f9f0d7"><td class="memItemLeft" align="right" valign="top"><a class="el" href="_write_j_s_o_n_report_8h.html#ab701e3ac61a85b337ec5c1abaad6742d">json</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_write_j_s_o_n_report_8h.html#aa694b15a475114e663a17b6a42f9f0d7">ProcAssignJson</a> (std::string ProcName)</td></tr>
<tr class="separator:aa694b15a475114e663a17b6a42f9f0d7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2af47097be7fe06b8b6d271ac5792c8b"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_write_j_s_o_n_report_8h.html#a2af47097be7fe06b8b6d271ac5792c8b">CreateJsonFile</a> (unsigned StmtNo, std::string filename, <a class="el" href="_write_j_s_o_n_report_8h.html#ab701e3ac61a85b337ec5c1abaad6742d">json</a> result)</td></tr>
<tr class="separator:a2af47097be7fe06b8b6d271ac5792c8b"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Typedef Documentation</h2>
<a id="a578f6f5c8934ca4575234e5d9dafa344"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a578f6f5c8934ca4575234e5d9dafa344">&#9670;&nbsp;</a></span>CodePosForJSON</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef struct <a class="el" href="struct_code_pos_for_j_s_o_n.html">CodePosForJSON</a> <a class="el" href="struct_code_pos_for_j_s_o_n.html">CodePosForJSON</a></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a8358650885338051ed7d0f91a47dfebe"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8358650885338051ed7d0f91a47dfebe">&#9670;&nbsp;</a></span>DeclRefExprType</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef struct <a class="el" href="struct_decl_ref_expr_type.html">DeclRefExprType</a> <a class="el" href="struct_decl_ref_expr_type.html">DeclRefExprType</a></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a7f14070bb43391a2f7ef8ef77d4a480d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7f14070bb43391a2f7ef8ef77d4a480d">&#9670;&nbsp;</a></span>DeclType</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef struct <a class="el" href="struct_decl_type.html">DeclType</a> <a class="el" href="struct_decl_type.html">DeclType</a></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a805f4fda00c9139f5be16ff50b2d724e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a805f4fda00c9139f5be16ff50b2d724e">&#9670;&nbsp;</a></span>DefType</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef struct <a class="el" href="struct_def_type.html">DefType</a> <a class="el" href="struct_def_type.html">DefType</a></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="aa782f61f5ba16d9d48a90d0b4fd1d84f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa782f61f5ba16d9d48a90d0b4fd1d84f">&#9670;&nbsp;</a></span>ifType</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef struct <a class="el" href="structif_type.html">ifType</a> <a class="el" href="structif_type.html">ifType</a></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ab701e3ac61a85b337ec5c1abaad6742d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab701e3ac61a85b337ec5c1abaad6742d">&#9670;&nbsp;</a></span>json</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">using <a class="el" href="_write_j_s_o_n_report_8h.html#ab701e3ac61a85b337ec5c1abaad6742d">json</a> =  nlohmann::json</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a140bb9f5d5770e5fe62c922c445ec681"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a140bb9f5d5770e5fe62c922c445ec681">&#9670;&nbsp;</a></span>ProcessBodyType</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef struct <a class="el" href="struct_process_body_type.html">ProcessBodyType</a> <a class="el" href="struct_process_body_type.html">ProcessBodyType</a></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Enumeration Type Documentation</h2>
<a id="a14ca0b0420e32b2a603589b79d680a9e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a14ca0b0420e32b2a603589b79d680a9e">&#9670;&nbsp;</a></span>nodeEnum</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="_write_j_s_o_n_report_8h.html#a14ca0b0420e32b2a603589b79d680a9e">nodeEnum</a></td>
        </tr>
      </table>
</div><div class="memdoc">
<table class="fieldtable">
<tr><th colspan="2">Enumerator</th></tr><tr><td class="fieldname"><a id="a14ca0b0420e32b2a603589b79d680a9eaff9a852b2dba6bd91304afca49bd0e6d"></a>ifnode_en&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="a14ca0b0420e32b2a603589b79d680a9eaa7adf12cfa8d56da7e0e4799081be1c5"></a>assign_en&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="a14ca0b0420e32b2a603589b79d680a9eaf7d792de8835d414cf25dad6b7d17785"></a>callExpr_en&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="a14ca0b0420e32b2a603589b79d680a9ead7eb26d8b572ff86a46e37e384e74a1c"></a>memberExpr_en&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="a14ca0b0420e32b2a603589b79d680a9ea9de7b7d499ffc508d52d618dcad3bad2"></a>DeclRefExpr_en&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="a14ca0b0420e32b2a603589b79d680a9eab816db962d5dea0a9c311c523f644907"></a>ProcBodyStmt_en&#160;</td><td class="fielddoc"></td></tr>
</table>

</div>
</div>
<h2 class="groupheader">Function Documentation</h2>
<a id="a2af47097be7fe06b8b6d271ac5792c8b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2af47097be7fe06b8b6d271ac5792c8b">&#9670;&nbsp;</a></span>CreateJsonFile()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void CreateJsonFile </td>
          <td>(</td>
          <td class="paramtype">unsigned&#160;</td>
          <td class="paramname"><em>StmtNo</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">std::string&#160;</td>
          <td class="paramname"><em>filename</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="_write_j_s_o_n_report_8h.html#ab701e3ac61a85b337ec5c1abaad6742d">json</a>&#160;</td>
          <td class="paramname"><em>result</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a826c9420535604cd8472cc685882c652"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a826c9420535604cd8472cc685882c652">&#9670;&nbsp;</a></span>getCodePos()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="struct_code_pos_for_j_s_o_n.html">CodePosForJSON</a> getCodePos </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="struct_exp_eval.html">ExpEval</a>&#160;</td>
          <td class="paramname"><em>Loc</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="_write_j_s_o_n_report_8h_a826c9420535604cd8472cc685882c652_icgraph.png" border="0" usemap="#_write_j_s_o_n_report_8h_a826c9420535604cd8472cc685882c652_icgraph" alt=""/></div>
<map name="_write_j_s_o_n_report_8h_a826c9420535604cd8472cc685882c652_icgraph" id="_write_j_s_o_n_report_8h_a826c9420535604cd8472cc685882c652_icgraph">
<area shape="rect" title=" " alt="" coords="651,31,749,57"/>
<area shape="rect" href="_write_j_s_o_n_report_8h.html#a907ba809957fc3c38648bbe6f9e22f1e" title=" " alt="" coords="412,31,603,57"/>
<area shape="rect" href="_write_j_s_o_n_report_8h.html#a9774bba3c62d7717e3e5f8e69298556b" title=" " alt="" coords="212,5,332,32"/>
<area shape="rect" href="_write_j_s_o_n_report_8h.html#adbf8b3a1e6a42884de913afde687e182" title=" " alt="" coords="180,56,364,83"/>
<area shape="rect" href="_write_j_s_o_n_report_8h.html#afd993b64702065cdc3126f11955dd841" title=" " alt="" coords="5,5,132,32"/>
</map>
</div>

</div>
</div>
<a id="a6a5a8aca9b0238b827d509a77c2b2c17"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6a5a8aca9b0238b827d509a77c2b2c17">&#9670;&nbsp;</a></span>getInnerLocation()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="_write_j_s_o_n_report_8h.html#ab701e3ac61a85b337ec5c1abaad6742d">json</a> getInnerLocation </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="struct_code_pos_for_j_s_o_n.html">CodePosForJSON</a>&#160;</td>
          <td class="paramname"><em>Pos</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>getSourceText</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="_write_j_s_o_n_report_8h_a6a5a8aca9b0238b827d509a77c2b2c17_icgraph.png" border="0" usemap="#_write_j_s_o_n_report_8h_a6a5a8aca9b0238b827d509a77c2b2c17_icgraph" alt=""/></div>
<map name="_write_j_s_o_n_report_8h_a6a5a8aca9b0238b827d509a77c2b2c17_icgraph" id="_write_j_s_o_n_report_8h_a6a5a8aca9b0238b827d509a77c2b2c17_icgraph">
<area shape="rect" title=" " alt="" coords="237,5,368,32"/>
<area shape="rect" href="_write_j_s_o_n_report_8h.html#adbf8b3a1e6a42884de913afde687e182" title=" " alt="" coords="5,5,189,32"/>
</map>
</div>

</div>
</div>
<a id="a907ba809957fc3c38648bbe6f9e22f1e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a907ba809957fc3c38648bbe6f9e22f1e">&#9670;&nbsp;</a></span>getPositionForJSONReport()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::vector&lt;<a class="el" href="struct_code_pos_for_j_s_o_n.html">CodePosForJSON</a>&gt; getPositionForJSONReport </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="struct_exp_eval_result.html">ExpEvalResult</a>&#160;</td>
          <td class="paramname"><em>ResultLocation</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<div class="dynheader">
Here is the call graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="_write_j_s_o_n_report_8h_a907ba809957fc3c38648bbe6f9e22f1e_cgraph.png" border="0" usemap="#_write_j_s_o_n_report_8h_a907ba809957fc3c38648bbe6f9e22f1e_cgraph" alt=""/></div>
<map name="_write_j_s_o_n_report_8h_a907ba809957fc3c38648bbe6f9e22f1e_cgraph" id="_write_j_s_o_n_report_8h_a907ba809957fc3c38648bbe6f9e22f1e_cgraph">
<area shape="rect" title=" " alt="" coords="5,5,196,32"/>
<area shape="rect" href="_write_j_s_o_n_report_8h.html#a826c9420535604cd8472cc685882c652" title=" " alt="" coords="244,5,343,32"/>
</map>
</div>
<div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="_write_j_s_o_n_report_8h_a907ba809957fc3c38648bbe6f9e22f1e_icgraph.png" border="0" usemap="#_write_j_s_o_n_report_8h_a907ba809957fc3c38648bbe6f9e22f1e_icgraph" alt=""/></div>
<map name="_write_j_s_o_n_report_8h_a907ba809957fc3c38648bbe6f9e22f1e_icgraph" id="_write_j_s_o_n_report_8h_a907ba809957fc3c38648bbe6f9e22f1e_icgraph">
<area shape="rect" title=" " alt="" coords="412,31,603,57"/>
<area shape="rect" href="_write_j_s_o_n_report_8h.html#a9774bba3c62d7717e3e5f8e69298556b" title=" " alt="" coords="212,5,332,32"/>
<area shape="rect" href="_write_j_s_o_n_report_8h.html#adbf8b3a1e6a42884de913afde687e182" title=" " alt="" coords="180,56,364,83"/>
<area shape="rect" href="_write_j_s_o_n_report_8h.html#afd993b64702065cdc3126f11955dd841" title=" " alt="" coords="5,5,132,32"/>
</map>
</div>

</div>
</div>
<a id="a47280cab4ae18c710e82140a367f51db"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a47280cab4ae18c710e82140a367f51db">&#9670;&nbsp;</a></span>init_json()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void init_json </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<div class="dynheader">
Here is the call graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="_write_j_s_o_n_report_8h_a47280cab4ae18c710e82140a367f51db_cgraph.png" border="0" usemap="#_write_j_s_o_n_report_8h_a47280cab4ae18c710e82140a367f51db_cgraph" alt=""/></div>
<map name="_write_j_s_o_n_report_8h_a47280cab4ae18c710e82140a367f51db_cgraph" id="_write_j_s_o_n_report_8h_a47280cab4ae18c710e82140a367f51db_cgraph">
<area shape="rect" title=" " alt="" coords="5,114,83,140"/>
<area shape="rect" href="_write_j_s_o_n_report_8h.html#ac26df4aaece78600ac0b30a83cb42d65" title=" " alt="" coords="533,114,603,140"/>
<area shape="rect" href="_write_j_s_o_n_report_8h.html#a6e65eff4d06fae24ae7619ef38b2fe56" title=" " alt="" coords="521,164,615,191"/>
<area shape="rect" href="_write_j_s_o_n_report_8h.html#aab530732eecca9f43a617d64c4c3d0e0" title=" " alt="" coords="131,114,268,140"/>
<area shape="rect" href="_write_j_s_o_n_report_8h.html#adb6b052dc44c162f6591f050b8d66167" title=" " alt="" coords="339,38,450,64"/>
<area shape="rect" href="_write_j_s_o_n_report_8h.html#a7572bea2b1c96cc88f855e6f00598998" title=" " alt="" coords="316,139,473,166"/>
<area shape="rect" href="_write_j_s_o_n_report_8h.html#afc56c73556b4001ea7af1f719d2ba547" title=" " alt="" coords="336,190,453,216"/>
<area shape="rect" href="_write_j_s_o_n_report_8h.html#a647cdd13ce2d6ceee1dcdf922f24995d" title=" " alt="" coords="356,88,433,115"/>
</map>
</div>

</div>
</div>
<a id="ac26df4aaece78600ac0b30a83cb42d65"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac26df4aaece78600ac0b30a83cb42d65">&#9670;&nbsp;</a></span>NodeID()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::pair&lt;std::string,unsigned&gt; NodeID </td>
          <td>(</td>
          <td class="paramtype">unsigned&#160;</td>
          <td class="paramname"><em>nodeID</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="_write_j_s_o_n_report_8h_ac26df4aaece78600ac0b30a83cb42d65_icgraph.png" border="0" usemap="#_write_j_s_o_n_report_8h_ac26df4aaece78600ac0b30a83cb42d65_icgraph" alt=""/></div>
<map name="_write_j_s_o_n_report_8h_ac26df4aaece78600ac0b30a83cb42d65_icgraph" id="_write_j_s_o_n_report_8h_ac26df4aaece78600ac0b30a83cb42d65_icgraph">
<area shape="rect" title=" " alt="" coords="739,101,809,127"/>
<area shape="rect" href="_write_j_s_o_n_report_8h.html#a47280cab4ae18c710e82140a367f51db" title=" " alt="" coords="201,25,279,51"/>
<area shape="rect" href="_write_j_s_o_n_report_8h.html#a9774bba3c62d7717e3e5f8e69298556b" title=" " alt="" coords="180,177,300,203"/>
<area shape="rect" href="_write_j_s_o_n_report_8h.html#adb6b052dc44c162f6591f050b8d66167" title=" " alt="" coords="557,101,667,127"/>
<area shape="rect" href="_write_j_s_o_n_report_8h.html#afc56c73556b4001ea7af1f719d2ba547" title=" " alt="" coords="181,101,299,127"/>
<area shape="rect" href="_write_j_s_o_n_report_8h.html#a7572bea2b1c96cc88f855e6f00598998" title=" " alt="" coords="533,50,691,77"/>
<area shape="rect" href="_write_j_s_o_n_report_8h.html#afd993b64702065cdc3126f11955dd841" title=" " alt="" coords="5,177,132,203"/>
<area shape="rect" href="_write_j_s_o_n_report_8h.html#aab530732eecca9f43a617d64c4c3d0e0" title=" " alt="" coords="348,101,485,127"/>
</map>
</div>

</div>
</div>
<a id="a6e65eff4d06fae24ae7619ef38b2fe56"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6e65eff4d06fae24ae7619ef38b2fe56">&#9670;&nbsp;</a></span>nodeName()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::vector&lt;std::string&gt; nodeName </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="_write_j_s_o_n_report_8h.html#a14ca0b0420e32b2a603589b79d680a9e">nodeEnum</a>&#160;</td>
          <td class="paramname"><em>NodEn</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="_write_j_s_o_n_report_8h_a6e65eff4d06fae24ae7619ef38b2fe56_icgraph.png" border="0" usemap="#_write_j_s_o_n_report_8h_a6e65eff4d06fae24ae7619ef38b2fe56_icgraph" alt=""/></div>
<map name="_write_j_s_o_n_report_8h_a6e65eff4d06fae24ae7619ef38b2fe56_icgraph" id="_write_j_s_o_n_report_8h_a6e65eff4d06fae24ae7619ef38b2fe56_icgraph">
<area shape="rect" title=" " alt="" coords="739,98,832,125"/>
<area shape="rect" href="_write_j_s_o_n_report_8h.html#a47280cab4ae18c710e82140a367f51db" title=" " alt="" coords="201,22,279,49"/>
<area shape="rect" href="_write_j_s_o_n_report_8h.html#a9774bba3c62d7717e3e5f8e69298556b" title=" " alt="" coords="180,174,300,201"/>
<area shape="rect" href="_write_j_s_o_n_report_8h.html#adb6b052dc44c162f6591f050b8d66167" title=" " alt="" coords="557,98,667,125"/>
<area shape="rect" href="_write_j_s_o_n_report_8h.html#afc56c73556b4001ea7af1f719d2ba547" title=" " alt="" coords="181,98,299,125"/>
<area shape="rect" href="_write_j_s_o_n_report_8h.html#a7572bea2b1c96cc88f855e6f00598998" title=" " alt="" coords="533,47,691,74"/>
<area shape="rect" href="_write_j_s_o_n_report_8h.html#afd993b64702065cdc3126f11955dd841" title=" " alt="" coords="5,174,132,201"/>
<area shape="rect" href="_write_j_s_o_n_report_8h.html#aab530732eecca9f43a617d64c4c3d0e0" title=" " alt="" coords="348,98,485,125"/>
</map>
</div>

</div>
</div>
<a id="a25a596703c6d750e6c755452b5379035"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a25a596703c6d750e6c755452b5379035">&#9670;&nbsp;</a></span>NodeTypeJson()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="_write_j_s_o_n_report_8h.html#ab701e3ac61a85b337ec5c1abaad6742d">json</a> NodeTypeJson </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="_types_for_analysis_8h.html#a3d39e178a2c4326b4000a3f89b3465df">SupportedNodes</a>&#160;</td>
          <td class="paramname"><em>Node</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="aab530732eecca9f43a617d64c4c3d0e0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aab530732eecca9f43a617d64c4c3d0e0">&#9670;&nbsp;</a></span>parseClangObject()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="_write_j_s_o_n_report_8h.html#ab701e3ac61a85b337ec5c1abaad6742d">json</a> parseClangObject </td>
          <td>(</td>
          <td class="paramtype">unsigned&#160;</td>
          <td class="paramname"><em>AllStmtVecPos</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<div class="dynheader">
Here is the call graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="_write_j_s_o_n_report_8h_aab530732eecca9f43a617d64c4c3d0e0_cgraph.png" border="0" usemap="#_write_j_s_o_n_report_8h_aab530732eecca9f43a617d64c4c3d0e0_cgraph" alt=""/></div>
<map name="_write_j_s_o_n_report_8h_aab530732eecca9f43a617d64c4c3d0e0_cgraph" id="_write_j_s_o_n_report_8h_aab530732eecca9f43a617d64c4c3d0e0_cgraph">
<area shape="rect" title=" " alt="" coords="5,81,143,108"/>
<area shape="rect" href="_write_j_s_o_n_report_8h.html#adb6b052dc44c162f6591f050b8d66167" title=" " alt="" coords="214,5,325,32"/>
<area shape="rect" href="_write_j_s_o_n_report_8h.html#a7572bea2b1c96cc88f855e6f00598998" title=" " alt="" coords="191,56,348,83"/>
<area shape="rect" href="_write_j_s_o_n_report_8h.html#afc56c73556b4001ea7af1f719d2ba547" title=" " alt="" coords="211,107,328,133"/>
<area shape="rect" href="_write_j_s_o_n_report_8h.html#a647cdd13ce2d6ceee1dcdf922f24995d" title=" " alt="" coords="231,157,308,184"/>
<area shape="rect" href="_write_j_s_o_n_report_8h.html#ac26df4aaece78600ac0b30a83cb42d65" title=" " alt="" coords="407,31,478,57"/>
<area shape="rect" href="_write_j_s_o_n_report_8h.html#a6e65eff4d06fae24ae7619ef38b2fe56" title=" " alt="" coords="396,81,489,108"/>
</map>
</div>
<div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="_write_j_s_o_n_report_8h_aab530732eecca9f43a617d64c4c3d0e0_icgraph.png" border="0" usemap="#_write_j_s_o_n_report_8h_aab530732eecca9f43a617d64c4c3d0e0_icgraph" alt=""/></div>
<map name="_write_j_s_o_n_report_8h_aab530732eecca9f43a617d64c4c3d0e0_icgraph" id="_write_j_s_o_n_report_8h_aab530732eecca9f43a617d64c4c3d0e0_icgraph">
<area shape="rect" title=" " alt="" coords="348,107,485,133"/>
<area shape="rect" href="_write_j_s_o_n_report_8h.html#a47280cab4ae18c710e82140a367f51db" title=" " alt="" coords="201,5,279,32"/>
<area shape="rect" href="_write_j_s_o_n_report_8h.html#a9774bba3c62d7717e3e5f8e69298556b" title=" " alt="" coords="180,56,300,83"/>
<area shape="rect" href="_write_j_s_o_n_report_8h.html#adb6b052dc44c162f6591f050b8d66167" title=" " alt="" coords="185,107,295,133"/>
<area shape="rect" href="_write_j_s_o_n_report_8h.html#afc56c73556b4001ea7af1f719d2ba547" title=" " alt="" coords="181,157,299,184"/>
<area shape="rect" href="_write_j_s_o_n_report_8h.html#afd993b64702065cdc3126f11955dd841" title=" " alt="" coords="5,56,132,83"/>
</map>
</div>

</div>
</div>
<a id="aa694b15a475114e663a17b6a42f9f0d7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa694b15a475114e663a17b6a42f9f0d7">&#9670;&nbsp;</a></span>ProcAssignJson() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="_write_j_s_o_n_report_8h.html#ab701e3ac61a85b337ec5c1abaad6742d">json</a> ProcAssignJson </td>
          <td>(</td>
          <td class="paramtype">std::string&#160;</td>
          <td class="paramname"><em>ProcName</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a9774bba3c62d7717e3e5f8e69298556b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9774bba3c62d7717e3e5f8e69298556b">&#9670;&nbsp;</a></span>ProcAssignJson() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="_write_j_s_o_n_report_8h.html#ab701e3ac61a85b337ec5c1abaad6742d">json</a> ProcAssignJson </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="struct_sub_level_properties.html">SubLevelProperties</a> &amp;&#160;</td>
          <td class="paramname"><em>SubLevel</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<div class="dynheader">
Here is the call graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="_write_j_s_o_n_report_8h_a9774bba3c62d7717e3e5f8e69298556b_cgraph.png" border="0" usemap="#_write_j_s_o_n_report_8h_a9774bba3c62d7717e3e5f8e69298556b_cgraph" alt=""/></div>
<map name="_write_j_s_o_n_report_8h_a9774bba3c62d7717e3e5f8e69298556b_cgraph" id="_write_j_s_o_n_report_8h_a9774bba3c62d7717e3e5f8e69298556b_cgraph">
<area shape="rect" title=" " alt="" coords="5,132,125,159"/>
<area shape="rect" href="_write_j_s_o_n_report_8h.html#a907ba809957fc3c38648bbe6f9e22f1e" title=" " alt="" coords="173,5,364,32"/>
<area shape="rect" href="_write_j_s_o_n_report_8h.html#ac26df4aaece78600ac0b30a83cb42d65" title=" " alt="" coords="629,183,699,209"/>
<area shape="rect" href="_write_j_s_o_n_report_8h.html#a6e65eff4d06fae24ae7619ef38b2fe56" title=" " alt="" coords="617,233,711,260"/>
<area shape="rect" href="_write_j_s_o_n_report_8h.html#aab530732eecca9f43a617d64c4c3d0e0" title=" " alt="" coords="200,208,337,235"/>
<area shape="rect" href="_write_j_s_o_n_report_8h.html#a826c9420535604cd8472cc685882c652" title=" " alt="" coords="441,5,540,32"/>
<area shape="rect" href="_write_j_s_o_n_report_8h.html#adb6b052dc44c162f6591f050b8d66167" title=" " alt="" coords="435,259,546,285"/>
<area shape="rect" href="_write_j_s_o_n_report_8h.html#a7572bea2b1c96cc88f855e6f00598998" title=" " alt="" coords="412,157,569,184"/>
<area shape="rect" href="_write_j_s_o_n_report_8h.html#afc56c73556b4001ea7af1f719d2ba547" title=" " alt="" coords="432,208,549,235"/>
<area shape="rect" href="_write_j_s_o_n_report_8h.html#a647cdd13ce2d6ceee1dcdf922f24995d" title=" " alt="" coords="452,107,529,133"/>
</map>
</div>
<div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="_write_j_s_o_n_report_8h_a9774bba3c62d7717e3e5f8e69298556b_icgraph.png" border="0" usemap="#_write_j_s_o_n_report_8h_a9774bba3c62d7717e3e5f8e69298556b_icgraph" alt=""/></div>
<map name="_write_j_s_o_n_report_8h_a9774bba3c62d7717e3e5f8e69298556b_icgraph" id="_write_j_s_o_n_report_8h_a9774bba3c62d7717e3e5f8e69298556b_icgraph">
<area shape="rect" title=" " alt="" coords="180,5,300,32"/>
<area shape="rect" href="_write_j_s_o_n_report_8h.html#afd993b64702065cdc3126f11955dd841" title=" " alt="" coords="5,5,132,32"/>
</map>
</div>

</div>
</div>
<a id="adb6b052dc44c162f6591f050b8d66167"></a>
<h2 class="memtitle"><span class="permalink"><a href="#adb6b052dc44c162f6591f050b8d66167">&#9670;&nbsp;</a></span>ProcBodyJson()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="_write_j_s_o_n_report_8h.html#ab701e3ac61a85b337ec5c1abaad6742d">json</a> ProcBodyJson </td>
          <td>(</td>
          <td class="paramtype">unsigned&#160;</td>
          <td class="paramname"><em>AllStmtVecPos</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<div class="dynheader">
Here is the call graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="_write_j_s_o_n_report_8h_adb6b052dc44c162f6591f050b8d66167_cgraph.png" border="0" usemap="#_write_j_s_o_n_report_8h_adb6b052dc44c162f6591f050b8d66167_cgraph" alt=""/></div>
<map name="_write_j_s_o_n_report_8h_adb6b052dc44c162f6591f050b8d66167_cgraph" id="_write_j_s_o_n_report_8h_adb6b052dc44c162f6591f050b8d66167_cgraph">
<area shape="rect" title=" " alt="" coords="5,48,116,75"/>
<area shape="rect" href="_write_j_s_o_n_report_8h.html#ac26df4aaece78600ac0b30a83cb42d65" title=" " alt="" coords="566,23,637,50"/>
<area shape="rect" href="_write_j_s_o_n_report_8h.html#a6e65eff4d06fae24ae7619ef38b2fe56" title=" " alt="" coords="555,74,648,100"/>
<area shape="rect" href="_write_j_s_o_n_report_8h.html#aab530732eecca9f43a617d64c4c3d0e0" title=" " alt="" coords="164,48,301,75"/>
<area shape="rect" href="_write_j_s_o_n_report_8h.html#a7572bea2b1c96cc88f855e6f00598998" title=" " alt="" coords="349,74,507,100"/>
<area shape="rect" href="_write_j_s_o_n_report_8h.html#afc56c73556b4001ea7af1f719d2ba547" title=" " alt="" coords="369,23,487,50"/>
<area shape="rect" href="_write_j_s_o_n_report_8h.html#a647cdd13ce2d6ceee1dcdf922f24995d" title=" " alt="" coords="389,124,467,151"/>
</map>
</div>
<div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="_write_j_s_o_n_report_8h_adb6b052dc44c162f6591f050b8d66167_icgraph.png" border="0" usemap="#_write_j_s_o_n_report_8h_adb6b052dc44c162f6591f050b8d66167_icgraph" alt=""/></div>
<map name="_write_j_s_o_n_report_8h_adb6b052dc44c162f6591f050b8d66167_icgraph" id="_write_j_s_o_n_report_8h_adb6b052dc44c162f6591f050b8d66167_icgraph">
<area shape="rect" title=" " alt="" coords="533,81,644,108"/>
<area shape="rect" href="_write_j_s_o_n_report_8h.html#aab530732eecca9f43a617d64c4c3d0e0" title=" " alt="" coords="348,81,485,108"/>
<area shape="rect" href="_write_j_s_o_n_report_8h.html#a47280cab4ae18c710e82140a367f51db" title=" " alt="" coords="201,5,279,32"/>
<area shape="rect" href="_write_j_s_o_n_report_8h.html#a9774bba3c62d7717e3e5f8e69298556b" title=" " alt="" coords="180,56,300,83"/>
<area shape="rect" href="_write_j_s_o_n_report_8h.html#afc56c73556b4001ea7af1f719d2ba547" title=" " alt="" coords="181,107,299,133"/>
<area shape="rect" href="_write_j_s_o_n_report_8h.html#afd993b64702065cdc3126f11955dd841" title=" " alt="" coords="5,56,132,83"/>
</map>
</div>

</div>
</div>
<a id="a7572bea2b1c96cc88f855e6f00598998"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7572bea2b1c96cc88f855e6f00598998">&#9670;&nbsp;</a></span>ProcDeclRefExprJson()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="_write_j_s_o_n_report_8h.html#ab701e3ac61a85b337ec5c1abaad6742d">json</a> ProcDeclRefExprJson </td>
          <td>(</td>
          <td class="paramtype">unsigned&#160;</td>
          <td class="paramname"><em>AllStmtVecPos</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<div class="dynheader">
Here is the call graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="_write_j_s_o_n_report_8h_a7572bea2b1c96cc88f855e6f00598998_cgraph.png" border="0" usemap="#_write_j_s_o_n_report_8h_a7572bea2b1c96cc88f855e6f00598998_cgraph" alt=""/></div>
<map name="_write_j_s_o_n_report_8h_a7572bea2b1c96cc88f855e6f00598998_cgraph" id="_write_j_s_o_n_report_8h_a7572bea2b1c96cc88f855e6f00598998_cgraph">
<area shape="rect" title=" " alt="" coords="5,31,163,57"/>
<area shape="rect" href="_write_j_s_o_n_report_8h.html#ac26df4aaece78600ac0b30a83cb42d65" title=" " alt="" coords="222,5,293,32"/>
<area shape="rect" href="_write_j_s_o_n_report_8h.html#a6e65eff4d06fae24ae7619ef38b2fe56" title=" " alt="" coords="211,56,304,83"/>
</map>
</div>
<div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="_write_j_s_o_n_report_8h_a7572bea2b1c96cc88f855e6f00598998_icgraph.png" border="0" usemap="#_write_j_s_o_n_report_8h_a7572bea2b1c96cc88f855e6f00598998_icgraph" alt=""/></div>
<map name="_write_j_s_o_n_report_8h_a7572bea2b1c96cc88f855e6f00598998_icgraph" id="_write_j_s_o_n_report_8h_a7572bea2b1c96cc88f855e6f00598998_icgraph">
<area shape="rect" title=" " alt="" coords="533,107,691,133"/>
<area shape="rect" href="_write_j_s_o_n_report_8h.html#aab530732eecca9f43a617d64c4c3d0e0" title=" " alt="" coords="348,107,485,133"/>
<area shape="rect" href="_write_j_s_o_n_report_8h.html#a47280cab4ae18c710e82140a367f51db" title=" " alt="" coords="201,5,279,32"/>
<area shape="rect" href="_write_j_s_o_n_report_8h.html#a9774bba3c62d7717e3e5f8e69298556b" title=" " alt="" coords="180,56,300,83"/>
<area shape="rect" href="_write_j_s_o_n_report_8h.html#adb6b052dc44c162f6591f050b8d66167" title=" " alt="" coords="185,107,295,133"/>
<area shape="rect" href="_write_j_s_o_n_report_8h.html#afc56c73556b4001ea7af1f719d2ba547" title=" " alt="" coords="181,157,299,184"/>
<area shape="rect" href="_write_j_s_o_n_report_8h.html#afd993b64702065cdc3126f11955dd841" title=" " alt="" coords="5,56,132,83"/>
</map>
</div>

</div>
</div>
<a id="afc56c73556b4001ea7af1f719d2ba547"></a>
<h2 class="memtitle"><span class="permalink"><a href="#afc56c73556b4001ea7af1f719d2ba547">&#9670;&nbsp;</a></span>ProcIfStmtJson()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="_write_j_s_o_n_report_8h.html#ab701e3ac61a85b337ec5c1abaad6742d">json</a> ProcIfStmtJson </td>
          <td>(</td>
          <td class="paramtype">unsigned&#160;</td>
          <td class="paramname"><em>AllStmtVecPos</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<div class="dynheader">
Here is the call graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="_write_j_s_o_n_report_8h_afc56c73556b4001ea7af1f719d2ba547_cgraph.png" border="0" usemap="#_write_j_s_o_n_report_8h_afc56c73556b4001ea7af1f719d2ba547_cgraph" alt=""/></div>
<map name="_write_j_s_o_n_report_8h_afc56c73556b4001ea7af1f719d2ba547_cgraph" id="_write_j_s_o_n_report_8h_afc56c73556b4001ea7af1f719d2ba547_cgraph">
<area shape="rect" title=" " alt="" coords="5,75,123,102"/>
<area shape="rect" href="_write_j_s_o_n_report_8h.html#ac26df4aaece78600ac0b30a83cb42d65" title=" " alt="" coords="573,24,643,51"/>
<area shape="rect" href="_write_j_s_o_n_report_8h.html#a6e65eff4d06fae24ae7619ef38b2fe56" title=" " alt="" coords="561,75,655,102"/>
<area shape="rect" href="_write_j_s_o_n_report_8h.html#aab530732eecca9f43a617d64c4c3d0e0" title=" " alt="" coords="171,75,308,102"/>
<area shape="rect" href="_write_j_s_o_n_report_8h.html#adb6b052dc44c162f6591f050b8d66167" title=" " alt="" coords="379,75,490,102"/>
<area shape="rect" href="_write_j_s_o_n_report_8h.html#a7572bea2b1c96cc88f855e6f00598998" title=" " alt="" coords="356,24,513,51"/>
<area shape="rect" href="_write_j_s_o_n_report_8h.html#a647cdd13ce2d6ceee1dcdf922f24995d" title=" " alt="" coords="396,126,473,152"/>
</map>
</div>
<div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="_write_j_s_o_n_report_8h_afc56c73556b4001ea7af1f719d2ba547_icgraph.png" border="0" usemap="#_write_j_s_o_n_report_8h_afc56c73556b4001ea7af1f719d2ba547_icgraph" alt=""/></div>
<map name="_write_j_s_o_n_report_8h_afc56c73556b4001ea7af1f719d2ba547_icgraph" id="_write_j_s_o_n_report_8h_afc56c73556b4001ea7af1f719d2ba547_icgraph">
<area shape="rect" title=" " alt="" coords="533,81,651,108"/>
<area shape="rect" href="_write_j_s_o_n_report_8h.html#aab530732eecca9f43a617d64c4c3d0e0" title=" " alt="" coords="348,81,485,108"/>
<area shape="rect" href="_write_j_s_o_n_report_8h.html#a47280cab4ae18c710e82140a367f51db" title=" " alt="" coords="201,5,279,32"/>
<area shape="rect" href="_write_j_s_o_n_report_8h.html#a9774bba3c62d7717e3e5f8e69298556b" title=" " alt="" coords="180,56,300,83"/>
<area shape="rect" href="_write_j_s_o_n_report_8h.html#adb6b052dc44c162f6591f050b8d66167" title=" " alt="" coords="185,107,295,133"/>
<area shape="rect" href="_write_j_s_o_n_report_8h.html#afd993b64702065cdc3126f11955dd841" title=" " alt="" coords="5,56,132,83"/>
</map>
</div>

</div>
</div>
<a id="a647cdd13ce2d6ceee1dcdf922f24995d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a647cdd13ce2d6ceee1dcdf922f24995d">&#9670;&nbsp;</a></span>readNod()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="_write_j_s_o_n_report_8h.html#a14ca0b0420e32b2a603589b79d680a9e">nodeEnum</a> readNod </td>
          <td>(</td>
          <td class="paramtype">unsigned&#160;</td>
          <td class="paramname"><em>in</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="_write_j_s_o_n_report_8h_a647cdd13ce2d6ceee1dcdf922f24995d_icgraph.png" border="0" usemap="#_write_j_s_o_n_report_8h_a647cdd13ce2d6ceee1dcdf922f24995d_icgraph" alt=""/></div>
<map name="_write_j_s_o_n_report_8h_a647cdd13ce2d6ceee1dcdf922f24995d_icgraph" id="_write_j_s_o_n_report_8h_a647cdd13ce2d6ceee1dcdf922f24995d_icgraph">
<area shape="rect" title=" " alt="" coords="533,107,611,133"/>
<area shape="rect" href="_write_j_s_o_n_report_8h.html#aab530732eecca9f43a617d64c4c3d0e0" title=" " alt="" coords="348,107,485,133"/>
<area shape="rect" href="_write_j_s_o_n_report_8h.html#a47280cab4ae18c710e82140a367f51db" title=" " alt="" coords="201,5,279,32"/>
<area shape="rect" href="_write_j_s_o_n_report_8h.html#a9774bba3c62d7717e3e5f8e69298556b" title=" " alt="" coords="180,56,300,83"/>
<area shape="rect" href="_write_j_s_o_n_report_8h.html#adb6b052dc44c162f6591f050b8d66167" title=" " alt="" coords="185,107,295,133"/>
<area shape="rect" href="_write_j_s_o_n_report_8h.html#afc56c73556b4001ea7af1f719d2ba547" title=" " alt="" coords="181,157,299,184"/>
<area shape="rect" href="_write_j_s_o_n_report_8h.html#afd993b64702065cdc3126f11955dd841" title=" " alt="" coords="5,56,132,83"/>
</map>
</div>

</div>
</div>
<a id="adbf8b3a1e6a42884de913afde687e182"></a>
<h2 class="memtitle"><span class="permalink"><a href="#adbf8b3a1e6a42884de913afde687e182">&#9670;&nbsp;</a></span>storeCodeLocationToJson()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="_write_j_s_o_n_report_8h.html#ab701e3ac61a85b337ec5c1abaad6742d">json</a> storeCodeLocationToJson </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="struct_exp_eval_result.html">ExpEvalResult</a>&#160;</td>
          <td class="paramname"><em>ResultLocation</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="struct_binary_op_properties.html">BinaryOpProperties</a> &amp;&#160;</td>
          <td class="paramname"><em>BinOpProp</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>getSourceText</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<div class="dynheader">
Here is the call graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="_write_j_s_o_n_report_8h_adbf8b3a1e6a42884de913afde687e182_cgraph.png" border="0" usemap="#_write_j_s_o_n_report_8h_adbf8b3a1e6a42884de913afde687e182_cgraph" alt=""/></div>
<map name="_write_j_s_o_n_report_8h_adbf8b3a1e6a42884de913afde687e182_cgraph" id="_write_j_s_o_n_report_8h_adbf8b3a1e6a42884de913afde687e182_cgraph">
<area shape="rect" title=" " alt="" coords="5,31,189,57"/>
<area shape="rect" href="_write_j_s_o_n_report_8h.html#a6a5a8aca9b0238b827d509a77c2b2c17" title=" " alt="" coords="267,5,398,32"/>
<area shape="rect" href="_write_j_s_o_n_report_8h.html#a907ba809957fc3c38648bbe6f9e22f1e" title=" " alt="" coords="237,56,428,83"/>
<area shape="rect" href="_write_j_s_o_n_report_8h.html#a826c9420535604cd8472cc685882c652" title=" " alt="" coords="476,56,575,83"/>
</map>
</div>

</div>
</div>
<a id="afd993b64702065cdc3126f11955dd841"></a>
<h2 class="memtitle"><span class="permalink"><a href="#afd993b64702065cdc3126f11955dd841">&#9670;&nbsp;</a></span>writeJSONreport()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void writeJSONreport </td>
          <td>(</td>
          <td class="paramtype">std::vector&lt; <a class="el" href="struct_binary_op_properties.html">BinaryOpProperties</a> &gt; &amp;&#160;</td>
          <td class="paramname"><em>AllBinOpProperties_vec</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<div class="dynheader">
Here is the call graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="_write_j_s_o_n_report_8h_afd993b64702065cdc3126f11955dd841_cgraph.png" border="0" usemap="#_write_j_s_o_n_report_8h_afd993b64702065cdc3126f11955dd841_cgraph" alt=""/></div>
<map name="_write_j_s_o_n_report_8h_afd993b64702065cdc3126f11955dd841_cgraph" id="_write_j_s_o_n_report_8h_afd993b64702065cdc3126f11955dd841_cgraph">
<area shape="rect" title=" " alt="" coords="5,132,132,159"/>
<area shape="rect" href="_write_j_s_o_n_report_8h.html#a9774bba3c62d7717e3e5f8e69298556b" title=" " alt="" coords="180,132,300,159"/>
<area shape="rect" href="_write_j_s_o_n_report_8h.html#a907ba809957fc3c38648bbe6f9e22f1e" title=" " alt="" coords="348,5,539,32"/>
<area shape="rect" href="_write_j_s_o_n_report_8h.html#ac26df4aaece78600ac0b30a83cb42d65" title=" " alt="" coords="803,183,874,209"/>
<area shape="rect" href="_write_j_s_o_n_report_8h.html#a6e65eff4d06fae24ae7619ef38b2fe56" title=" " alt="" coords="792,233,885,260"/>
<area shape="rect" href="_write_j_s_o_n_report_8h.html#aab530732eecca9f43a617d64c4c3d0e0" title=" " alt="" coords="375,208,512,235"/>
<area shape="rect" href="_write_j_s_o_n_report_8h.html#a826c9420535604cd8472cc685882c652" title=" " alt="" coords="616,5,715,32"/>
<area shape="rect" href="_write_j_s_o_n_report_8h.html#adb6b052dc44c162f6591f050b8d66167" title=" " alt="" coords="610,259,721,285"/>
<area shape="rect" href="_write_j_s_o_n_report_8h.html#a7572bea2b1c96cc88f855e6f00598998" title=" " alt="" coords="587,157,744,184"/>
<area shape="rect" href="_write_j_s_o_n_report_8h.html#afc56c73556b4001ea7af1f719d2ba547" title=" " alt="" coords="607,208,724,235"/>
<area shape="rect" href="_write_j_s_o_n_report_8h.html#a647cdd13ce2d6ceee1dcdf922f24995d" title=" " alt="" coords="627,107,704,133"/>
</map>
</div>

</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="_write_j_s_o_n_report_8h.html">WriteJSONReport.h</a></li>
    <li class="footer">Generated by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.17 </li>
  </ul>
</div>
</body>
</html>
